Bug 1789119 - Support Pipeline Operator 0.9.0
Summary: Support Pipeline Operator 0.9.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Andrew Ballantyne
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On: 1778958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 19:35 UTC by Andrew Ballantyne
Modified: 2020-01-22 10:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1788201
Environment:
Last Closed: 2020-01-22 10:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
4.2 stable (338.10 KB, image/png)
2020-01-15 11:30 UTC, Gajanan More
no flags Details
Latest 4.2 CI build (326.74 KB, image/png)
2020-01-15 11:31 UTC, Gajanan More
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3898 0 None closed [release-4.2] Bug 1789119: Support for Pipeline Operator 0.9 on OpenShift 4.2 2020-02-06 17:19:22 UTC
Red Hat Product Errata RHBA-2020:0107 0 None None None 2020-01-22 10:46:57 UTC

Comment 2 Gajanan More 2020-01-15 11:30:15 UTC
Created attachment 1652426 [details]
4.2 stable

Comment 3 Gajanan More 2020-01-15 11:31:05 UTC
Created attachment 1652427 [details]
Latest 4.2 CI build

Comment 4 Gajanan More 2020-01-15 11:35:30 UTC
@aballant@redhat.com @hasha@redhat.com

I tried to validate this bug on latest stable 4.2 which is 4.2.14 and on latest 4.2 CI build which is 4.2.0-0.ci-2020-01-15-023211 but I am unable to validate it. Should I wait till 21st Jan when the next stable 4.2 will be released which will be 4.2.15 to validate this bug?
Please find the attached screenshots.

Comment 5 Andrew Ballantyne 2020-01-15 13:01:09 UTC
@gamore@redhat.com

That's most bizarre... it should have been merged into the CI. I found it in the nightly listed builds but the backlog of CI builds is half as big so I can't see the exact build it went in on. 

Can I get access to your cluster to look around to see if I missed something? It should be fixed.

I ping'ed you on slack, let me know if there is a way to test the same scenario you did.

Comment 6 Gajanan More 2020-01-16 08:52:44 UTC
I have validated this bugzilla on 
Build:4.2.0-0.nightly-2020-01-15-231532
Browser: Google Chrome  Version 78.0.3904.108

@aballant@redhat.com provided some steps to validate this bug. 
I followed the following steps to validate this bug:
1. Create a Pipeline
2. Manually CLI upload a Pipeline Run with a ‘spec.serviceAccount’ property equal to something
3. Upgrade to Pipeline Operator 0.9.0
4. From the UI, re-run the Pipeline Run that was uploaded

Comment 7 Gajanan More 2020-01-16 08:53:44 UTC
@aballant@redhat.com @hasha@redhat.com @rgarg@redhat.com

Marking this bug as 'Release Pending'

Comment 9 errata-xmlrpc 2020-01-22 10:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0107


Note You need to log in before you can comment on or make changes to this bug.